﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;

namespace AdventOfCode._2022.Day7
{
    public class DirectoryResult
    {
        public long Size { get; private set; }
        public string FileName { get; private set; }
        public DirectoryResult(string result)
        {
            var split = result.Split(" ");
            long fileSize;
            if (long.TryParse(split[0], out fileSize))
            {
                Size = fileSize;
            }
            else
            {
                Size = -1;
            }
            FileName = split[1];
        }
    }
}
